summaryrefslogtreecommitdiff
path: root/support/vc/bzr-unix/vc
diff options
context:
space:
mode:
Diffstat (limited to 'support/vc/bzr-unix/vc')
-rw-r--r--support/vc/bzr-unix/vc25
1 files changed, 25 insertions, 0 deletions
diff --git a/support/vc/bzr-unix/vc b/support/vc/bzr-unix/vc
new file mode 100644
index 0000000000..e9c3f47a8f
--- /dev/null
+++ b/support/vc/bzr-unix/vc
@@ -0,0 +1,25 @@
+#!/bin/sh
+# This is file 'vc' from the vc bundle for TeX.
+# The original file can be found at CTAN:support/vc.
+# This file is Public Domain.
+
+# Parse command line options.
+full=0
+mod=0
+while [ -n "$(echo $1 | grep '-')" ]; do
+ case $1 in
+ -f ) full=1 ;;
+ -m ) mod=1 ;;
+ * ) echo 'usage: vc [-f] [-m]'
+ exit 1
+ esac
+ shift
+done
+# English locale.
+LC_ALL=C
+if [ "$mod" = 1 ]
+then
+ bzr version-info --check-clean|gawk -v full=$full -f vc-bzr.awk > vc.tex
+else
+ bzr version-info |gawk -v full=$full -f vc-bzr.awk > vc.tex
+fi